actions: []
api_documentation: http://docs.ros.org/en/noetic/api/foxglove_msgs/html
authors: Foxglove <ros-tooling@foxglove.dev>
brief: ''
bugtracker: ''
depends:
- catkin
- geometry_msgs
- message_generation
- message_runtime
- ros_environment
- visualization_msgs
depends_on:
- depthai_examples
description: foxglove_msgs provides visualization messages that are supported by Foxglove.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__foxglove_msgs__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__foxglove_msgs__ubuntu_focal_amd64
has_changelog_rst: true
license: MIT
maintainer_status: developed
maintainers: Foxglove <ros-tooling@foxglove.dev>
msgs:
- ImageMarkerArray
- ModelMarker
- ArrowPrimitive
- LaserScan
- CubePrimitive
- SceneUpdate
- CameraCalibration
- FrameTransforms
- Color
- FrameTransformList
- SphereAttributes
- ConeListMarker
- CircleAnnotation
- PrimitiveDeletion
- ConeMarker
- PointCloud
- Point2
- TextAnnotation
- Grid
- ConePrimitive
- FrameTransform
- MarkerDeletion
- SceneEntities
- TriangleListPrimitive
- GeoJSON
- CubeAttributes
- ConeAttributes
- RawImage
- ArrowMarker
- CylinderPrimitive
- CompressedVideo
- Vector2
- CubeMarker
- SceneEntity
- ModelPrimitive
- SpherePrimitive
- ImageAnnotations
- KeyValuePair
- LocationFix
- Transform
- Markers
- LineMarker
- TrianglesMarker
- TextMarker
- TriangleListMarker
- SceneEntityDeletion
- LinePrimitive
- CubeListMarker
- CompressedImage
- SceneEntityUpdate
- PackedElementField
- TextPrimitive
- Log
- PosesInFrame
- SphereListMarker
- CylinderMarker
- SphereMarker
- PoseInFrame
- PointsAnnotation
- ModelMarker
- ArrowPrimitive
- LaserScan
- CubePrimitive
- SceneUpdate
- CameraCalibration
- FrameTransforms
- Color
- FrameTransformList
- SphereAttributes
- ConeListMarker
- CircleAnnotation
- PrimitiveDeletion
- ConeMarker
- PointCloud
- Point2
- TextAnnotation
- Grid
- ConePrimitive
- FrameTransform
- MarkerDeletion
- SceneEntities
- TriangleListPrimitive
- GeoJSON
- CubeAttributes
- ConeAttributes
- RawImage
- ArrowMarker
- CylinderPrimitive
- CompressedVideo
- Vector2
- CubeMarker
- SceneEntity
- ModelPrimitive
- SpherePrimitive
- ImageAnnotations
- KeyValuePair
- LocationFix
- Transform
- Markers
- LineMarker
- TrianglesMarker
- TextMarker
- TriangleListMarker
- SceneEntityDeletion
- LinePrimitive
- CubeListMarker
- CompressedImage
- SceneEntityUpdate
- PackedElementField
- TextPrimitive
- Log
- PosesInFrame
- SphereListMarker
- CylinderMarker
- SphereMarker
- PoseInFrame
- PointsAnnotation
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__foxglove_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__foxglove_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__foxglove_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__foxglove_msgs__ubuntu_focal_arm64__binary
repo_name: foxglove_msgs
repo_url: ''
srvs: []
timestamp: 1716562148.5798926
url: https://foxglove.dev/
vcs: git
vcs_uri: https://github.com/foxglove/schemas.git
vcs_version: main
